Name:         	MPlayer
License:      	GPL
Group:        	Productivity/Multimedia/Video/Players
Version:       	1.0pre6a
Release:        pm.2
Summary:      	Movie Player
Summary(de):    Multimedia Abspielprogram
Source0:       	%{name}-%{version}.tar.bz2
Source1:      	font-arial-iso-8859-1.tar.bz2
Source2:        Blue-1.4.tar.bz2
Source3:	mplayer.conf
Source4:	mencvcd
Source5:	%name.desktop
Patch0:		%name-demux.patch
URL:            http://www.mplayerhq.hu 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
Packager:       Henne Vogelsang <henne@links2linux.de>
Distribution:   http://packman.links2linux.de (SUSE LINUX %suseversion)
Vendor:         Packman
Autoreqprov:	on
%ifarch %ix86 
Requires:      	w32codec-all
%endif
BuildRequires:  lame toolame libtheora libtheora-devel libsmbclient libsmbclient-devel SDL SDL-devel ladspa aalib aalib-devel esound esound-devel gtk gtk-devel glib glib-devel mad mad-devel dvb lzo lzo-devel

%description
MPlayer is a movie player for LINUX (runs on many other Unices, and
non-x86 CPUs). It plays most MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV,
FLI files, supported by many native, XAnim, and Win32 DLL codecs.
You can watch VideoCD, SVCD, DVD, 3ivx, and even DivX movies too
(and you don't need the avifile library at all!). The another big feature
of mplayer is the wide range of supported output drivers. It works with X11,
Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you can use GGI
and SDL (and this way all their drivers) and some lowlevel card-specific
drivers (for Matrox, 3Dfx and Radeon) too! Most of them supports software
or hardware scaling, so you can enjoy movies in fullscreen. MPlayer supports
displaying through some hardware MPEG decoder boards, such as the DVB and
DXR3/Hollywood+ ! And what about the nice big antialiased shaded subtitles
(9 supported types!!!) with european/ISO 8859-1,2 (hungarian, english, czech,
etc), cyrillic, korean fonts, and OSD?

%description -l de
MPlayer ist ein Movie Player fr LINUX (luft auch auf vielen anderen Unices,
and nicht-x86 CPUs). Es spielt die meisten MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV,
FLI Dateien, untersttzt durch eigene, XAnim und Win32 DLL Codecs.
Man kann damit VideoCD, SVCD, DVD, 3ivx und auch DivX Movies abspielen.
(und man bentigt dazu die Avifile Bibliotheken dazu nicht!). Ein weiteres
groartiges Feature von MPlayer ist der weitreichende Support verschiedener
Videoausgabe-Treibern. Es arbeitet mit X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
AAlib, DirectFB und kann ebeso mit GGI und SDL (und all deren interner Treiber),
sowie mit lowlevel Kartenspezifischer Treiber (fr Matrox, 3Dfx und Radeon)
umgehen! Die meisten dieser Treiber untersttzen Software oder Hardwareskalierung,
damit knnen Filme in voller Bildschirmauflsung gezeigt werden. MPlayer untersttzt
auch die Ausgabe ber einige Hardware-MPEG-Decoder-Karten, wie z.B. DVB und
DXR3/Hollywood+! Und wie wre es mit hbschen groen Kantengeglteten Untertiteln
(9 untersttzte Arten!!!) mit Europischen Sonderzeichen/ISO 8859-1,2
(Ungarisch, Englisch, Tschechisch, usw.), Cyrillisch, Koreanischen Schriften
und OSD?


%prep
%setup -q
%patch0 -p1

%build

tar xjf %{SOURCE1}
tar xjf %{SOURCE2}

sed "s/O4/O4 -fno-strict-aliasing/g" < configure > configure~
cat configure~ > configure

./configure --prefix=%{_prefix} \
 --confdir=%{_sysconfdir}/mplayer \
 --datadir=%{_datadir}/mplayer \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --enable-runtime-cpudetection \
 --enable-xvmc \
%ifarch %ix86 
 --enable-qtx \
%endif
 --enable-bl --enable-fbdev --enable-zr \
 --enable-gui --enable-menu --language=all \
 --enable-i18n --enable-largefiles --enable-smb --enable-joystick \
 --disable-divx4linux --disable-xvid \
%ifarch x86_64
 --target=x86_64
%else
 --target=%_target
%endif

make

%install
rm -rf $RPM_BUILD_ROOT 

make MANDIR=$RPM_BUILD_ROOT%{_mandir} DESTDIR=$RPM_BUILD_ROOT install
# font
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts
cp -r font-arial-iso-8859-1/* $RPM_BUILD_ROOT%{_datadir}/mplayer/fonts/
# skin
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default
cp -r Blue/* $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default/
# configs
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/
# mencvcd 
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}
rm -f TOOLS/mencvcd
# desktop file
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/applications/
rm $RPM_BUILD_ROOT%{_datadir}/applications/mplayer.desktop

cd $RPM_BUILD_ROOT%{_datadir}/mplayer/
rmdir font
ln -s fonts/font-arial-14-iso-8859-1 font

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-, root, root)
%doc DOCS TOOLS README AUTHORS ChangeLog
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/menu.conf
%_mandir/man1/mplayer.1.gz
%_mandir/man1/mencoder.1.gz
%_mandir/cs/man1/mplayer.1.gz
%_mandir/de/man1/mplayer.1.gz
%_mandir/de/man1/mencoder.1.gz
%_mandir/es/man1/mplayer.1.gz
%_mandir/es/man1/mencoder.1.gz
%_mandir/fr/man1/mplayer.1.gz
%_mandir/fr/man1/mencoder.1.gz
%_mandir/hu/man1/mplayer.1.gz
%_mandir/hu/man1/mencoder.1.gz
%_mandir/it/man1/mplayer.1.gz
%_mandir/pl/man1/mplayer.1.gz
%_mandir/pl/man1/mencoder.1.gz
%_mandir/sv/man1/mplayer.1.gz

%{_bindir}/*
%{_libdir}/mplayer
%{_libdir}/libdha*
%dir %{_datadir}/mplayer
%dir %{_datadir}/mplayer/Skin
%{_datadir}/mplayer/Skin/default
%{_datadir}/mplayer/fonts
%{_datadir}/mplayer/font

%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Fri Jan 07 2005 Henne Vogelsang <henne@links2linux.de
- add demuxer patch to avoid a crash while seeking 
  in MPEG ES/PS files
- update our desktop file to match the offical one
- remove the official mplayer desktop file
- pass target right to x86_64
- lowercase conf and data directory
* Thu Jan 06 2005 Henne Vogelsang <henne@links2linux.de
- update to version 1.0pre6a
* Fri Dec 24 2004 Henne Vogelsang <henne@links2linux.de
- update to version 1.0pre6
- get rid of all patches most of them are upstream
- dont package codecs.conf anymore
* Mon Oct 18 2004 Henne Vogelsang <henne@links2linux.de>
- disabled live. does not compile on 9.2 and nobody seems
  to use it anyway.
- added some patches for 9.2
* Thu Jul 15 2004 Henne Vogelsang <henne@links2linux.de>
- update to version 1.0pre5
- change default skin to Blue
- add patch for dynamic arrays in older ditributions
* Thu Jun 10 2004 Henne Vogelsang <henne@links2linux.de>
- incorporated manfreds ppc changes and translations
- disabled xvid and divx4linux usage. libavcodec can do that.
  Kudos to Diego Biurrun for pointing that out.
* Sun Jun 06 2004 Henne Vogelsang <henne@links2linux.de>
- beautify .desktop file
* Wed Mar 31 2004 Henne Vogelsang <henne@links2linux.de>
- update to version 1.0pre4
- move live libs to own package 
- install desktop file
* Wed Mar 31 2004 Henne Vogelsang <henne@links2linux.de>
- add patch to fix remote buffer overflow
* Sun Jan 18 2004 Henne Vogelsang <henne@links2linux.de>
- update to version 1.0pre3
- reenable divx
- build all languages
- use pm in release
* Sat Dec 06 2003 Henne Vogelsang <henne@links2linux.de>
- build against the new xvid
* Wed Oct 15 2003 Henne Vogelsang <henne@links2linux.de>
- fixed mp3lib problem with fno-strict-aliasing
- updated fonts
- cleaned patch namings
* Mon Oct 13 2003 Henne Vogelsang <henne@links2linux.de>
- updated live libs
* Sun Sep 28 2003 Henne Vogelsang <henne@links2linux.de>
- Updated to version 0.92
* Sun Aug 31 2003 Henne Vogelsang <henne@links2linux.de>
- make use of --target
- removed libdvdcss2 dep
- reintroduced cpu runtime protection (to many bugreports)
* Wed Aug 13 2003 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.91
* Sat Aug 09 2003 Henne Vogelsang <henne@links2linux.de>
- patched version
- skin subpackage moved to a seperate package
- removed dvdnav support (broken and not used anyway)
- updated mencvcd and moved to bindir
- added dvd2divxscript.pl to bindir
* Mon May 19 2003 Henne Vogelsang <henne@links2linux.de>
- disable cpu runtime protection
* Sat Apr 12 2003 Henne Vogelsang <henne@links2linux.de>
- changed the skin.files call to the BEST possible hack
* Sat Apr 12 2003 Henne Vogelsang <henne@links2linux.de>
- cleaned Requires
- skin files list was borked. readded skin.files
- added 82 if around the dvdnav diff
* Wed Apr 09 2003 Henne Vogelsang <henne@links2linux.de>
- updated to final version of 0.90
- updated skins and made it easier to package them
- updated live to 2003.04.09 src
- enabled faad2
- enabled smb support
* Sun Mar 23 2003 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90rc5
- enabled runtime cpu detection
- removed --target and BuildArch
- removed march/mcpu from live diff
- added $RPM_OPT_FLAGS to live diff
* Mon Feb 10 2003 Henne Vogelsang <henne@links2linux.de>
- updated version to 0.90rc4
- updated live.com libs to 2003.02.10
* Tue Feb 04 2003 Henne Vogelsang <henne@links2linux.de>
- removed libGLcore.so.1 dependencie
- enabled blinkenlights
* Sun Jan 26 2003 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90rc3
- enabled quicktime codecs 
* Mon Jan 13 2003 Henne Vogelsang <henne@links2linux.de>
- removed libpostproc subpackage again. created an own package
- added -Wno-deprecated to live Makefile
* Sun Jan 12 2003 Henne Vogelsang <henne@links2linux.de>
- fixed man page bug (kudos to Bernd Leibing)
- added live.com libs (kudos to Tuukka Pasanen)
- added skins subpackage
- added libpostproc subpackage for transcode
- a little bit spec work
* Wed Dec 25 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90rc2
- beautified spec
* Sat Oct 12 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90pre8
* Sun Sep 15 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90pre7
- removed 2 patches
* Tue Aug 13 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90pre6
- reworked spec file completely 
- added 2 patches
* Sun May 25 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90pre4
* Sun May 05 2002 Henne Vogelsang <henne@links2linux.de>
- updated to version 0.90pre3
- removed patch
- enabled GUI
* Sat Oct 27 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first build
